avalon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carsten Ziegeler" <cziege...@s-und-n.de>
Subject RE: build a dist - which jdk?
Date Thu, 15 Jul 2004 14:26:03 GMT
Berin Loritsch wrote: 
> 
> Carsten Ziegeler wrote:
> 
> > Stephen McConnell wrote:
> > 
> >>Just noticed this post from Carsten pointing out some interesting 
> >>things about the impact of compiling on one version of the 
> the JDK and 
> >>running under another.
> >>
> >>http://marc.theaimsgroup.com/?l=xml-cocoon-dev&m=102491687729497&w=2
> >>
> >>The answer to Carsten's question concerning Avalon releases .. it's 
> >>JDK
> >>1.4 (at least the releases I've taken care of).
> >>
> > 
> > Oh :) Is it possible to release from now on binaries 
> compiled with JDK 
> > 1.3?
> 
> Do you mean to be compiled with the -source 1.3 so the 
> binaries are 1.3 compatible, or do you mean running Magic on 
> a 1.3 JDK?
> 
I mean "compiling with a JDK 1.3" and not "compiling with a JDK 1.4
with target (or source) 1.3" :) So, if Magic is the one starting
the compilation, then yes, you have to start Magic with JDK 1.3.
Otherwise you may run exactly into the trap.

Carsten


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@avalon.apache.org
For additional commands, e-mail: dev-help@avalon.apache.org


Mime
View raw message